#!/usr/bin/python
import mcpi.minecraft as minecraft
import mcpi.block as block
import RPi.GPIO as GPIO
import time

mc = minecraft.Minecraft.create()
LED = [8,24,23,18]

GPIO.setmode(GPIO.BCM)
for i in LED:
  GPIO.setup(i, GPIO.OUT, initial=False)

pwm = 0
l = [0,0,0,0]
for i in range(4):
  l[i] = GPIO.PWM(LED[i], 50)
  l[i].start(pwm)

mc.player.setPos(-43,5,-56)

try:
  while True:
    for hit in mc.events.pollBlockHits():
      bl = mc.getBlockWithData(hit.pos.x, hit.pos.y, hit.pos.z)
      if bl.id == block.GOLD_ORE.id and pwm<100:
        pwm += 10
      if bl.id == block.IRON_ORE.id and pwm>0:
        pwm -= 10
      for i in range(4):
        l[i].ChangeDutyCycle(pwm)
      time.sleep(0.1)

except KeyboardInterrupt:
    for i in range(4):
      l[i].stop()
    GPIO.cleanup()
